# LiveCoding.space repository

> Collaborative Live Coding Space with support of user-defined languages and WebVR ready 3D graphics

Based on:  [Virtual World Framework](https://github.com/virtual-world-framework/vwf) | [A-Frame](https://aframe.io) | [Ohm language](https://github.com/harc/ohm) | [OSC.js](https://github.com/colinbdclark/osc.js/) | [Cell.js](https://github.com/intercellular/cell) and more...  
Online at: **https://livecoding.space**

![](https://livecoding.space/aframe2/webimg.jpg)

**To run**

```
npm install
```
```
npm run
```

## Features

- Decentralized network model for A-Frame components and entities based on VWF replicated computation architecture
- Ohm language driver for sharing user-defined grammars, parsers, tokenisers inside virtual space
- In browser Code and Properties editor based on Cell.js
- OSC messaging through [OSC relay](https://github.com/NikolaySuslov/osc-relay-lcs) on the client
- Avatars (Simple and GLTF models with animation)
- Multi-window or multi-monitor/multi-machine setups with view offset cameras
- WebRTC for video/audio streaming, 3D positional audio support
- GearVR, Windows MixedReality motion controllers
..

<img src="./public/doc/images/codeeditor.jpg" width="400">
<br>
<img src="./public/doc/images/osc.jpg" width="400">
<br>
<img src="./public/doc/images/avatar.jpg" width="400">
<br>

## Docs

Soon..
